> # NAME

> tex1DARRAYbias - performs a texture lookup with bias in a given sampler array.

> # SYNOPSIS

>       float4 tex1DARRAYbias(sampler1DARRAY samp, float4 s)
>       float4 tex1DARRAYbias(sampler1DARRAY samp, float4 s, int texelOff)

>       int4 tex1DARRAYbias(isampler1DARRAY samp, float4 s)
>       int4 tex1DARRAYbias(isampler1DARRAY samp, float4 s, int texelOff)

>       unsigned int4 tex1DARRAYbias(usampler1DARRAY samp, float4 s)
>       unsigned int4 tex1DARRAYbias(usampler1DARRAY samp, float4 s, int texelOff)

> # PARAMETERS

> samp

>   Sampler array to lookup.

> s

>   Coordinates to perform the lookup. The value used to select the layer should be passed in the vector component right after the regular coordinates. The bias value should be passed as the last component of the coordinate vector.

> texelOff

>   Offset to be added to obtain the final texel.

> # DESCRIPTION

> Performs a texture lookup with bias in sampler samp using coordinates s, the texture to be sampled is selected from the layer specified in the coordinates.

> # PROFILE SUPPORT

> tex1DARRAYbias is only supported in gp4 and newer profiles.

> # SEE ALSO

> tex1DARRAY, tex1DARRAYlod